package org.szte.code.client;

import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

/**
 *  2013, SZTE, CIRENE project, GPL licence http://www.gnu.org/licenses/gpl-2.0.html
 *  
 *  @author Rcz, Rbert
 *
 */

public class Client {
	public static String sendAction(String url, String action) throws IOException{
		HttpURLConnection connection = null;
		try {
			String content = "{\"action\":\"" + action + "\"}";
			StringBuffer response = new StringBuffer();
			URL server_url = new URL(url);
			connection = (HttpURLConnection) server_url.openConnection();
			connection.setRequestMethod("POST");
			connection.setRequestProperty("Content-Type", "application/json");
	
			connection.setRequestProperty("Content-Length",	Integer.toString(content.length()));
			connection.setRequestProperty("Content-Language", "en-US");
	
			connection.setUseCaches(false);
			connection.setDoInput(true);
			connection.setDoOutput(true);
	
			// Send request
			DataOutputStream wr = new DataOutputStream(connection.getOutputStream());
			wr.writeBytes(content);
			wr.flush();
			wr.close();
	
			// Get Response
			InputStream is = connection.getInputStream();
			BufferedReader rd = new BufferedReader(new InputStreamReader(is));
			String line;
			while ((line = rd.readLine()) != null) {
				response.append(line);
				response.append('\r');
			}
			rd.close();
			return response.toString();
		} finally {
			if (connection != null) {
				connection.disconnect();
			}
		}
	}
}
